<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MR_List.aspx.cs" Inherits="RM.Web.Member.MR_List" %>
<%@ Register Src="~/UserControl/LoadButton.ascx" TagName="LoadButton" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
<title><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Member_zcxmgl")%></title>
    <link href="/Themes/Styles/Site.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
    <link href="/Themes/Scripts/artDialog/skins/opera.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/artDialog/artDialog.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/artDialog/iframeTools.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/FunctionJS.js" type="text/javascript"></script>
</head>
<body>
    <form id="form1" runat="server">
    <div class="btnbartitle">
        <div>
            <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Member_zcxmgl")%>
        </div>
    </div>
    <div class="btnbarcontetn">
        <div style="text-align: right">
            <uc2:LoadButton ID="LoadButton1" runat="server" />
        </div>
    </div>
    <div class="div-body">
        <%=TableHtml %>
    </div>
    </form>
<script type="text/javascript">
    $(function () {
        //把分页定位到屏幕下面
        divresize(90);
        FixedTableHeader("#table1", $(window).height() - 121);
    });
    //新增
    function add() {
        var url = "/Member/MR_Form.aspx";
        top.openDialog(url, 'MR_Form', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Member_zcxmgl")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Add")%>', 900, 400, 50, 50);
    }
    //编辑
    function edit() {
        var arrt = new Array();
        arrt = CheckboxValue().split('|');
        var key = arrt[0];
        if (IsEditdata(CheckboxValue())) {
            var url = "/Member/MR_Form.aspx?Key=" + key;
            top.openDialog(url, 'MR_Form', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Member_zcxmgl")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Edit")%>', 900, 400, 50, 50);
        }
    }
    //分组授权
    function Strategy() {
        var url = "/Member/RegisterTo.aspx";
        top.openDialog(url, 'RegisterTo', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Member_zcxmgl")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Member_celou")%>', 900, 400, 50, 50);
    }
    //删除
    function Delete() {
        var arrt = new Array();
        arrt = CheckboxValue().split('|');
        var key = arrt[0];
        if (key.length < 5) {
            showWarningMsg('<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Member_xtxjzdel")%>');
        }
        else {
            if (IsEditdata(CheckboxValue())) {
                var delparm = 'action=Virtualdelete&module=<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Member_zcxmgl")%>&tableName=Member_Register&pkName=Mr_id&pkVal=' + key;
                delConfig('/Ajax/Common_Ajax.ashx', delparm)
            }
        }
        
    }
</script>
</body>
</html>
